# vim: set ft=spec: -*- rpm-spec -*-

Name: nsis
Version: 2.18
Release: alt1

Summary: Nullsoft Scriptable Install System
Group: Development/Other
License: BSD-like
Url: http://nsis.sourceforge.net/

Packager: Sir Raorn <raorn@altlinux.ru>

ExclusiveArch: %ix86

Source: http://dl.sourceforge.net/%name/%name-%version-src.tar.bz2

# Automatically added by buildreq on Wed Jun 07 2006
BuildRequires: flex gcc-c++ ghostscript-utils i386-mingw32msvc-gcc-c++ i386-mingw32msvc-runtime tetex-latex
BuildRequires: scons >= 0.96.91

%description
NSIS (Nullsoft Scriptable Install System) is a professional
open-source tool for the development of Windows installers.
It is designed to be as small and flexible as possible and
is therefore highly suitable for internet distribution.

%prep
%setup -q -n%name-%version-src

%build
scons \
	VERSION=%version-%release \
	PREFIX=%_prefix \
	SKIPPLUGINS=System \
	DEBUG=%{?_enable_debug:yes}%{!?_enable_debug:no} \
	PREFIX_CONF=%_sysconfdir \
	PREFIX_BIN=%_bindir \
	PREFIX_DATA=%_datadir/%name \
	PREFIX_DOC=%_docdir/%name-%version

%install
scons \
	VERSION=%version-%release \
	PREFIX=%_prefix \
	SKIPPLUGINS=System \
	DEBUG=%{?_enable_debug:yes}%{!?_enable_debug:no} \
	PREFIX_CONF=%_sysconfdir \
	PREFIX_BIN=%_bindir \
	PREFIX_DATA=%_datadir/%name \
	PREFIX_DOC=%_docdir/%name-%version \
	PREFIX_DEST=%buildroot \
	install

find %buildroot -name .sconsign -print -delete

%files
%doc %_docdir/%name-%version
%config(noreplace) %_sysconfdir/nsisconf.nsh
%_bindir/*
%_datadir/%name

%changelog
* Mon Jul 10 2006 Sir Raorn <raorn@altlinux.ru> 2.18-alt1
- [2.18]
- ExclusiveArch: %%ix86

* Wed Jun 07 2006 Sir Raorn <raorn@altlinux.ru> 2.17-alt1
- Built for Sisyphus

